OGRE: Ogre::PropertyBase Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PropertyBase Class Referenceabstract
Components » Property

Base interface for an instance of a property. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::PropertyBase:
[legend]

## Public Member Functions
| PropertyBase (PropertyDef *def)
| Constructor. More...
virtual | ~PropertyBase ()
const String & | getDescription () const
| Get the description of the property. More...
const String & | getName () const
| Get the name of the property. More...
PropertyType | getType () const
| Get the type of the property. More...
virtual Ogre::Any | getValue () const =0
| Return the current value as an Any. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Base interface for an instance of a property.

## Constructor & Destructor Documentation

## ◆ PropertyBase()

Ogre::PropertyBase::PropertyBase | ( | PropertyDef * | def | ) |
| inline

Constructor.

## ◆ ~PropertyBase()

virtual Ogre::PropertyBase::~PropertyBase | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getDescription()

const String& Ogre::PropertyBase::getDescription | ( |  | ) | const
| inline

Get the description of the property.

## ◆ getName()

const String& Ogre::PropertyBase::getName | ( |  | ) | const
| inline

Get the name of the property.

## ◆ getType()

PropertyType Ogre::PropertyBase::getType | ( | void |  | ) | const
| inline

Get the type of the property.

## ◆ getValue()

virtual Ogre::Any Ogre::PropertyBase::getValue | ( |  | ) | const
| pure virtual

Return the current value as an Any.

Implemented in Ogre::Property< T >.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreProperty.h